package com.prolog.upcloud.base.wh.operate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @author wujunjie
 */
@ApiModel
public class OmsCnsConversionDetailListVO {
    /**
     * 货主转换单ID
     */
    private String billid;

    /**
     * 源商品ID
     */
    private String sourceitemid;

    /**
     * 源商品名称
     */
    private String sourceitemname;

    /**
     * 目标商品ID
     */
    private String targetitemid;

    /**
     * 目标商品名称
     */
    private String targetitemname;

    /**
     * 批次
     */
    private String lotno;

    /**
     * 转换数量
     */
    private BigDecimal qty;

    public String getBillid() {
        return billid;
    }

    public void setBillid(String billid) {
        this.billid = billid;
    }

    public String getSourceitemid() {
        return sourceitemid;
    }

    public void setSourceitemid(String sourceitemid) {
        this.sourceitemid = sourceitemid;
    }

    public String getSourceitemname() {
        return sourceitemname;
    }

    public void setSourceitemname(String sourceitemname) {
        this.sourceitemname = sourceitemname;
    }

    public String getTargetitemid() {
        return targetitemid;
    }

    public void setTargetitemid(String targetitemid) {
        this.targetitemid = targetitemid;
    }

    public String getTargetitemname() {
        return targetitemname;
    }

    public void setTargetitemname(String targetitemname) {
        this.targetitemname = targetitemname;
    }

    public String getLotno() {
        return lotno;
    }

    public void setLotno(String lotno) {
        this.lotno = lotno;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }
}
